/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.client.ui.uinfo;

import org.dive4elements.river.client.client.ui.AbstractEpochPanel;
import org.dive4elements.river.client.client.ui.PanelHelper;
import org.dive4elements.river.client.shared.model.DataList;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.form.DynamicForm;
import com.smartgwt.client.widgets.form.fields.TextItem;
import com.smartgwt.client.widgets.layout.VLayout;

public class LoadSingleEpochSelect extends AbstractEpochPanel {

    private static final long serialVersionUID = 1L;

    public LoadSingleEpochSelect() {
        super(Type.single);
    }

    @Override
    protected String getDatakey() {
        return "singleepoch";
    }

    @Override
    protected Canvas createWidget(final DataList data) {
        final VLayout root = new VLayout();

        final Label title = new Label(data.get(0).getDescription());
        title.setHeight("25px");

        final DynamicForm form = new DynamicForm();
        form.setNumCols(4);
        final TextItem start = createStartInputItem(this.MSG.from());
        start.setCanEdit(false);

        final TextItem end = createEndInputItem(this.MSG.to());
        end.setCanEdit(false);

        form.setFields(start, end);

        root.addMember(title);
        root.addMember(PanelHelper.getSpacer(10));
        root.addMember(form);

        return root;
    }

}
